require_gem 'fxruby'
require 'ApplicationProperties'

include Fox

module WorkTimer

class ActivityDialog < FXDialogBox
  attr_accessor :activityName
  
   def doWindowPropsChanged(source, selector, event)
      activityDialogProps = ApplicationProperties.instance.propertyHash["ActivityDialogInfo"]
      if self.width != activityDialogProps["width"].to_i or
         self.height != activityDialogProps["height"].to_i then
         activityDialogProps["width"] = self.width.to_s
         activityDialogProps["height"] = self.height.to_s
      end
   end

  def initialize(owner, title)
    # Invoke base class initialize function first
    super(owner, title, DECOR_TITLE|DECOR_BORDER|DECOR_RESIZE, 0, 0, 275)

      # handle window resizes and moves
      connect(SEL_CONFIGURE, method(:doWindowPropsChanged))
      
      activityDialogProps = ApplicationProperties.instance.propertyHash["ActivityDialogInfo"]
     
      self.resize(
         activityDialogProps["width"].to_i,
         activityDialogProps["height"].to_i)
      
   windowContent = 
      FXVerticalFrame.new(
         self, 
         LAYOUT_FILL_X|LAYOUT_FILL_Y|FRAME_SUNKEN|FRAME_THICK,
         0, 0, 0, 0, 0, 0, 0, 0)

    # Bottom buttons
    dataFrame = FXMatrix.new(windowContent,2,MATRIX_BY_COLUMNS)

    FXLabel.new(dataFrame, "Activity Name:", nil, JUSTIFY_RIGHT)
    @activityName = FXTextField.new(dataFrame, 25)
    
    buttons = FXHorizontalFrame.new(windowContent,
      LAYOUT_SIDE_BOTTOM|FRAME_NONE|LAYOUT_FILL_X|PACK_UNIFORM_WIDTH)
  
    # Cancel
    FXButton.new(buttons, "&Cancel", nil, self, ID_CANCEL,
      FRAME_RAISED|FRAME_THICK|LAYOUT_RIGHT|LAYOUT_CENTER_Y)

    # Accept
    accept = FXButton.new(buttons, "&Accept", nil, self, ID_ACCEPT,
      FRAME_RAISED|FRAME_THICK|LAYOUT_RIGHT|LAYOUT_CENTER_Y)
    
    accept.setDefault  

    @activityName.setFocus
  end
end

end